// @use imports the Angular Material theme functions and mixins
// @use declarations need to be made before any @import or @include statements
@use '@angular/material' as mat;
@include mat.core();

// Import the custom palettes
@import './palettes/mdoa-green-palette.scss';
@import './palettes/mdoa-grey-palette.scss';
@import './palettes/mdoa-red-palette.scss';

// Define the palettes
$omex-primary: mat.m2-define-palette($md-mdoagrey, 500);
$omex-accent: mat.m2-define-palette($md-mdoagreen, 500, 200, 900, 100);
$omex-warn: mat.m2-define-palette($md-mdoared, 500);

// Define the theme
$omex-theme: mat.m2-define-light-theme(
  (
    color: (
      primary: $omex-primary,
      accent: $omex-accent,
      warn: $omex-warn,
    ),
  )
);

// style settings for the complete app
html,
body {
  margin: 0;
  height: 100%;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}
